### Property

# Gtk CssProvider:prefers-color-scheme

since: 4.20

#### Declaration

    property prefers-color-scheme: Gtk.InterfaceColorScheme [ read, write ]

#### Description [src]

Define the color scheme used for rendering the user interface.

The UI can be set to either `GTK_INTERFACE_COLOR_SCHEME_LIGHT`, or `GTK_INTERFACE_COLOR_SCHEME_DARK` mode. Other values will be interpreted the same as `GTK_INTERFACE_COLOR_SCHEME_LIGHT`.

This setting is be available for media queries in CSS:

    @media (prefers-color-scheme: dark) {
      // some dark mode styling
    }

Changing this setting will reload the style sheet.

Type:`GtkInterfaceColorScheme`

Available since: 4.20

Default value | GTK_INTERFACE_COLOR_SCHEME_DEFAULT

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no